Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Use the 1.9 compatible fcgi library. Make fulltest load on jruby + rb…

…x. rbx still wobbling.
  • Loading branch information...
commit 131263dc307c7a4258cbf9bba61e368702d2361f 1 parent 27234d7
@raggi raggi authored
Showing with 4 additions and 2 deletions.
  1. +1 −1  rack.gemspec
  2. +3 −1 test/gemloader.rb
View
2  rack.gemspec
@@ -30,7 +30,7 @@ EOF
s.add_development_dependency 'bacon'
s.add_development_dependency 'rake'
- s.add_development_dependency 'fcgi'
+ s.add_development_dependency 'ruby-fcgi'
s.add_development_dependency 'memcache-client'
s.add_development_dependency 'mongrel', '>= 1.2.0.pre2'
s.add_development_dependency 'thin'
View
4 test/gemloader.rb
@@ -2,7 +2,9 @@
project = 'rack'
gemspec = File.expand_path("#{project}.gemspec", Dir.pwd)
Gem::Specification.load(gemspec).dependencies.each do |dep|
- unless dep.name == 'fcgi' && RUBY_PLATFORM =~ /java/
+ begin
gem dep.name, *dep.requirement.as_list
+ rescue Gem::LoadError
+ warn "Cannot load #{dep.name} #{dep.requirement.to_s}"
end
end
Please sign in to comment.
Something went wrong with that request. Please try again.